[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

In upgrading Gnome-1.4 to Gnome-2.2, what about already installed Gnome apps?



Hello,

On Wed, 2003-04-23 at 23:19, Joe Marcus Clarke wrote:
> On Wed, 2003-04-23 at 18:09, Stacey Roberts wrote:
> 
> > I've just run my first cvsup of the ports tree after upgrading to
> > Gnome-2.2.
> > 
> > I was advised by portupgrade to run "pkgdb -F", which spewed tons of
> > "stale dependencies":
> > 
> > # portupgrade -R gnomeutils2-2.2.1,1
> > [Updating the pkgdb <format:bdb1_btree> in /var/db/pkg ... - 289
> > packages found (-6 +52)
> > (...).................................................... done]
> > Stale dependency: gnomeutils2-2.2.1,1 --> fam-2.6.9_2 -- manually run
> > 'pkgdb -F' to fix (-O disallowed when -R is given).
> > # 
> > 
> > Stale dependency: acme-2.0.3 -> fam-2.6.9_2 (devel/fam):
> > New dependency? (? to help): ?
> >  [Enter] to skip, [Ctrl]+[D] to delete,  [.][Enter] to abort, [Tab] to
> > complete
> > New dependency? (? to help): y
> > Please choose one of these:
> > AbiWord-gnome-1.0.5  Hermes-1.3.2  ImageMagick-5.5.5  Mesa-3.4.2_2 
> > ORBit-0.5.17  ORBit2-2.6.1  WhistlerK-200010142358  XFree86-4.3.0,1 
> > XFree86-FontServer-4.3.0  XFree86-Server-4.3.0_3 
> > XFree86-clients-4.3.0_1  XFree86-documents-4.3.0 
> > XFree86-font100dpi-4.3.0  XFree86-font75dpi-4.3.0 
> > XFree86-fontCyrillic-4.3.0  XFree86-fontDefaultBitmaps-4.3.0 
> > XFree86-fontEncodings-4.3.0  XFree86-fontScalable-4.3.0 
> > XFree86-libraries-4.3.0_1  Xaw3d-1.5  ...
> > New dependency? (? to help):
> > Skip this? ([y]es/[n]o/[a]ll) [yes] n
> > New dependency? (? to help): y
> > Please choose one of these:
> > AbiWord-gnome-1.0.5  Hermes-1.3.2  ImageMagick-5.5.5  Mesa-3.4.2_2 
> > ORBit-0.5.17  ORBit2-2.6.1  WhistlerK-200010142358  XFree86-4.3.0,1 
> > XFree86-FontServer-4.3.0  XFree86-Server-4.3.0_3 
> > XFree86-clients-4.3.0_1  XFree86-documents-4.3.0 
> > XFree86-font100dpi-4.3.0  XFree86-font75dpi-4.3.0 
> > XFree86-fontCyrillic-4.3.0  XFree86-fontDefaultBitmaps-4.3.0 
> > XFree86-fontEncodings-4.3.0  XFree86-fontScalable-4.3.0 
> > XFree86-libraries-4.3.0_1  Xaw3d-1.5  ...
> > 
> > Remind me again, what is to be done for this, please?
> 
> Looks like you should install fam.  I bet you added WITH_FAM to
> /etc/make.conf _after_ installing GNOME 2.  You should do this _before_
> installing GNOME 2.

Actually, I *did* edit /etc/make.conf *BEFORE* running
make clean
make install clean

for Gnome-2.

If you say that I should install fam, then I'll install it.., The port
that I was attempting to portupgrade (-R) was gnomeutils2-2.2.1,1, but
the way.

Regards,

Stacey

> 
> Joe
> 
> > 
> > I only ask as there was no mention at http://www.freebsd.org/gnome of
> > encountering this..,
> > 
> > Regards,
> > 
> > Stacey
> > 
> > > 
> > > Joe
> > > 
> > > > 
> > > > Regards,
> > > > 
> > > > Stacey
> > > > 
> > > > > 
> > > > > Joe
> > > > > 
> > > > > > 
> > > > > > Thanks for the time.
> > > > > > 
> > > > > > Regards,
> > > > > > 
> > > > > > Stacey
-- 
Stacey Roberts
B.Sc (HONS) Computer Science

Web: www.vickiandstacey.com



Visit your host, monkey.org